Exiv2 - Feature #611

Add support for makernote of Sony ARW files

28 Jan 2009 21:28 - Andreas Huggel

Status: Closed Start date: 28 Jan 2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: exif Estimated time: 0.00 hour
Target version: 0.20

Description

http://uk.groups.yahoo.com/group/exiv2/message/1445

http://dev.exiv2.org/boards/3/topics/show/30

Eventually this may make it possible to write to ARW files

Related issues:

Related to Exiv2 - Feature #706: Support Sony SR2Private Tags New 25 May 2010

Associated revisions

Revision 2154 - 21 Apr 2010 07:29 - Andreas Huggel

#611: Added several Sony makernote groups.

Revision 2155 - 21 Apr 2010 19:37 - Andreas Huggel

#611: Completed Sony'? Camera Settings complex array.

Revision 2156 - 21 Apr 2010 19:37 - Andreas Huggel

#611: Updated samples and tests for Sony makernote changes.

Revision 2209 - 30 Apr 2010 21:57 - Andreas Huggel

#611: Support for SonySR2 private data and encrypted sub-IFD, part 1, still experimental and incomplete.

Revision 2210 - 02 May 2010 08:22 - Andreas Huggel

#611: SonySR2 support, part 2, still experimental and incomplete.

Revision 2238 - 25 May 2010 06:55 - Andreas Huggel

#611: Created a branch for further work on the Sony Makernote.

History

#1 - 28 Jan 2009 21:41 - Andreas Huggel

- Category set to exif

#2 - 29 Jan 2009 23:19 - Andreas Huggel
- File src.zip added

#3 - 29 Jan 2009 23:19 - Andreas Huggel
- File deleted (src.zip)

#4 - 29 Jan 2009 23:33 - Hiroshi Kawashima
- File DSC08797.JPG added

Here's Sony A700 JPEG file.

#5 - 29 Jan 2009 23:35 - Hiroshi Kawashima
Here's Sony A900 JPEG file.
http://uk.groups.yahoo.com/group/exiv2/message/1445
http://dev.exiv2.org/boards/3/topics/show/30

#6 - 02 Feb 2009 21:33 - Hiroshi Kawashima

Hmm...
It seems last A900 JPEG file upload failed?
Trying again...

#7 - 02 Feb 2009 22:41 - Andreas Huggel

Maybe you have difficulties uploading the second file because of the 5MB limit for attachments. I've changed it to 10MB.

#8 - 05 Feb 2009 03:51 - Hiroshi Kawashima
- File DSC05970.JPG added

Thank you!
I'm trying again.
Attached is A900 JPEG file.

#9 - 12 Apr 2010 05:37 - Gilles Caulier

Hiroshi,

As i'm planing to by a new A450 DLSR, i'm starting to update Sony Makernotes database support...

Gilles Caulier

#10 - 25 Apr 2010 13:58 - Gilles Caulier
- % Done changed from 0 to 50

Sony ARW makernotes is now fully implemented in trunk. This include these camera models:

extern const TagDetails sonyModelId[] = {
{ 2, "DSC-R1" b o
256, "DSLR-A100" },
257, "DSLR-A900" 1},
258, "DSLR-A700" },
259, "DSLR-A200" 1},
260, "DSLR-A350" 1},
261, "DSLR-A300" 1},
263, "DSLR-A380" 1},
264, "DSLR-A330" 1},
265, "DSLR-A230" },
269, "DSLR-A850" 1},
273, "DSLR-A550" 1},
274, "DSLR-A500" 1},
275, "DSLR-A450" }

bi
Still todo ARW writting mode, which still crash exiv2 here.

Gilles Caulier

#11 - 25 Apr 2010 17:01 - Andreas Huggel

Sony ARW makernotes is now fully implemented in trunk. This include these camera models

Great!

Still todo ARW writting mode, which still crash exiv2 here.

That should be done under a different issue, if any work is necessary. But let me have a look at digiKam bug 235171 (

https://bugs.kde.org/show_bug.cqi?id=235171) first, the ARW crash may also go away.

#12 - 25 May 2010 19:50 - Andreas Huggel
- Status changed from New to Resolved
- Target version set to 0.20

- % Done changed from 50 to 100
https://bugs.kde.org/show_bug.cgi?id=235171

ARW write-support further requires full support of Sony SR2Private tags, see #706.
As far as the makernote is concerned, we're done for now. Thanks, Gilles!

#13 - 29 May 2010 10:42 - Andreas Huggel

- Status changed from Resolved to Closed

Files

DSC08797.JPG 4.46 MB 29 Jan 2009 Hiroshi Kawashima

DSC05970.JPG 6.32 MB 05 Feb 2009 Hiroshi Kawashima
